curl --request GET \
--url https://api.tread-horizon.com/v1/agave/linked_accounts/{linked-account-id}/items \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"data": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"cost_unit_of_measure": "<string>",
"price_unit_of_measure": "<string>",
"status": "Active",
"unit_cost": "<string>",
"unit_price": "<string>"
},
"agave_itemizable": {
"type": "AddOn",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
]
}Retrieve Agave-Items for an Agave-LinkedAccount.
This endpoint requires the manage_accounting_integration IamPermission.
curl --request GET \
--url https://api.tread-horizon.com/v1/agave/linked_accounts/{linked-account-id}/items \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"data": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"cost_unit_of_measure": "<string>",
"price_unit_of_measure": "<string>",
"status": "Active",
"unit_cost": "<string>",
"unit_price": "<string>"
},
"agave_itemizable": {
"type": "AddOn",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Agave-LinkedAccount ID
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
OK
Show child attributes